summaryrefslogtreecommitdiff
path: root/help/C/color-selection.page
diff options
context:
space:
mode:
authorYasumichi Akahoshi <yasumichi@vinelinux.org>2011-11-19 02:55:00 +0900
committerTiffany Antopolski <tiffany.antopolski@gmail.com>2011-12-17 13:23:47 -0500
commitf1bf713d0fcd86d38b119d95b276f67245123810 (patch)
tree0c6fe0869ff8d74b15850cdb15c4c0975c45f373 /help/C/color-selection.page
parent43b79214894e293b08d4f8bdbe19243bf62d0559 (diff)
Add mallard pages and update screenshots.
Signed-off-by: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Diffstat (limited to 'help/C/color-selection.page')
-rw-r--r--help/C/color-selection.page55
1 files changed, 55 insertions, 0 deletions
diff --git a/help/C/color-selection.page b/help/C/color-selection.page
new file mode 100644
index 0000000..55402b9
--- /dev/null
+++ b/help/C/color-selection.page
@@ -0,0 +1,55 @@
+<page xmlns="http://projectmallard.org/1.0/"
+ type="topic"
+ id="color-selection">
+ <info>
+ <link type="guide" xref="index#dialogs"/>
+ <desc>Use the <cmd>--color-selection</cmd> option.</desc>
+ </info>
+ <title>Color Selection Dialog</title>
+ <p>
+ Use the <cmd>--color-selection</cmd> option to create a color selection dialog.
+ </p>
+ <p>
+ The color selection dialog supports the following options:
+ </p>
+
+ <terms>
+
+ <item>
+ <title><cmd>--color</cmd>=<var>VALUE</var></title>
+ <p>Set the initial color.(ex: #FF0000)</p>
+ </item>
+
+ <item>
+ <title><cmd>--show-palette</cmd></title>
+ <p>Show the palette.</p>
+ </item>
+
+ </terms>
+
+ <p>
+ The following example script shows how to create a color selection dialog:
+ </p>
+
+<code>
+#!/bin/sh
+
+COLOR=`zenity --color-selection --show-palette`
+
+case $? in
+ 0)
+ echo "You selected $COLOR.";;
+ 1)
+ echo "No color selected.";;
+ -1)
+ echo "An unexpected error has occurred.";;
+esac
+</code>
+
+ <figure id="zenity-colorselection-screenshot">
+ <title>Password Entry Dialog Example</title>
+ <desc><app>Zenity</app> password entry dialog example</desc>
+ <media type="image" mime="image/png" src="figures/zenity-colorselection-screenshot.png"/>
+ </figure>
+
+</page>